<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class POSeaconsignment extends Model
{
    protected $table = 'po_sea_consignments';
    
    protected $fillable = [
        'po_sea_id','bill_no','dispatch_port','arrival_port','eta'
    ];

   public $timestamps = false;
   
    public function purchaseOrder()
    {
    	return $this->belongsTo('App\POSea','po_sea_id');
    }

    public function dispatchPort()
    {
    	return $this->belongsTo('App\Port','dispatch_port');
    }

    public function arrivalPort()
    {
        return $this->belongsTo('App\Port','arrival_port');
    }

}
